
\name{gngnf1musammrefseq_dbconn}

\alias{gngnf1musammrefseq_dbconn}
\alias{gngnf1musammrefseq_dbfile}
\alias{gngnf1musammrefseq_dbschema}
\alias{gngnf1musammrefseq_dbInfo}


\title{Collect information about the package annotation DB}

\description{
  Some convenience functions for getting a connection object to (or collecting
  information about) the package annotation DB.
}

\usage{
  gngnf1musammrefseq_dbconn()
  gngnf1musammrefseq_dbfile()
  gngnf1musammrefseq_dbschema(file="", show.indices=FALSE)
  gngnf1musammrefseq_dbInfo()
}

\arguments{
  \item{file}{
    A connection, or a character string naming the file to print to (see
    the \code{file} argument of the \code{\link[base]{cat}} function for
    the details).
  }
  \item{show.indices}{
    The CREATE INDEX statements are not shown by default.
    Use \code{show.indices=TRUE} to get them.
  }
}

\details{
  \code{gngnf1musammrefseq_dbconn} returns a connection object to the
  package annotation DB.  IMPORTANT: Don't call
  \code{\link[DBI:dbConnect]{dbDisconnect}} on the connection object
  returned by \code{gngnf1musammrefseq_dbconn} or you will break all the
  \code{\link[AnnotationDbi:AnnDbObj-class]{AnnDbObj}} objects defined
  in this package!

  \code{gngnf1musammrefseq_dbfile} returns the path (character string) to the
  package annotation DB (this is an SQLite file).

  \code{gngnf1musammrefseq_dbschema} prints the schema definition of the
  package annotation DB.

  \code{gngnf1musammrefseq_dbInfo} prints other information about the package
  annotation DB.
}

\value{
  \code{gngnf1musammrefseq_dbconn}: a DBIConnection object representing an
  open connection to the package annotation DB.

  \code{gngnf1musammrefseq_dbfile}: a character string with the path to the
  package annotation DB.

  \code{gngnf1musammrefseq_dbschema}: none (invisible \code{NULL}).

  \code{gngnf1musammrefseq_dbInfo}: none (invisible \code{NULL}).
}

\seealso{
  \code{\link[DBI:dbSendQuery]{dbGetQuery}},
  \code{\link[DBI:dbConnect]{dbConnect}},
  \code{\link[AnnotationDbi:AnnDbObj-class]{dbconn}},
  \code{\link[AnnotationDbi:AnnDbObj-class]{dbfile}},
  \code{\link[AnnotationDbi:AnnDbObj-class]{dbschema}},
  \code{\link[AnnotationDbi:AnnDbObj-class]{dbInfo}}
}

\examples{
  ## Count the number of rows in the "probes" table:
  dbGetQuery(gngnf1musammrefseq_dbconn(), "SELECT COUNT(*) FROM probes")

  ## The connection object returned by gngnf1musammrefseq_dbconn() was
  ## created with:
  dbConnect(SQLite(), dbname=gngnf1musammrefseq_dbfile(), cache_size=64000,
  synchronous=0)

  gngnf1musammrefseq_dbschema()

  gngnf1musammrefseq_dbInfo()
}

\keyword{utilities}
\keyword{datasets}

